View Issue Details

IDProjectCategoryView StatusLast Update
0003471SketcherBugpublic2018-05-31 11:58
ReportervectroAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version17.10
Product Version0.17 
Target VersionFixed in Version0.18 
Summary0003471: Issues with B-Spline toolbar when selecting non-spline objects
Description Increase Degree works as expected when a spline is selected. But the toolbar item also activates when a control point is selected, although it doesn't do anything when clicked.

Either the toolbar should only activate when a B-Spline object is selected; or else it should be an error to press one of the b-spline buttons when an object other than a B-Spline is selected.

Forum conversation here: https://forum.freecadweb.org/viewtopic.php?p=232952#p221486
Steps To Reproduce1. Create a sketch and an object (other than a b-spline)
2. Select the object.
3. Note b-spline toolbar buttons activate
4. Click one of the buttons
Additional InformationOS: Ubuntu 17.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13424 (Git)
Build type: None
Branch: master
Hash: 597dbf60947067852268033c32d6b78ac9ef280c
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.

Issue History

Date Modified Username Field Change
2018-05-10 17:37 vectro New Issue
2018-05-11 09:14 abdullah Note Added: 0011245
2018-05-14 01:16 Kunda1 Assigned To => abdullah
2018-05-14 01:16 Kunda1 Status new => assigned
2018-05-31 11:58 wmayer Status assigned => closed
2018-05-31 11:58 wmayer Resolution open => fixed
2018-05-31 11:58 wmayer Fixed in Version => 0.18
2018-05-31 11:58 wmayer Note Added: 0011328